<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>supplement.task</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="supplement.resource.html">supplement (resource)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="tagfile.html">tagfile</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">supplement (task)</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>The supplement keyword provides a mechanism to add more attributes to already defined tasks. The additional attributes must obey the same rules as in regular task definitions and must be enclosed by curly braces.</p>
        <p>This construct is primarily meant for situations where the information about a task is split over several files. E. g. the vacation dates for the resources may be in a separate file that was generated by some other tool.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>supplement task &lt;task ID&gt; [{ &lt;attributes&gt; }]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="1">Arguments</td>
      <td class="descr">task ID</td>
      <td class="descr"><div>The absolute ID of an already defined task.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="task.html">task</a>, <a href="supplement.task.html">supplement (task)</a>
      </td>
     </tr>
    </table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
      <col width="20%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag" rowspan="39">Attributes</td>
      <td class="tag">Name</td>
      <td class="tag">Scen. spec.</td>
      <td class="tag">Inh. fm. Global</td>
      <td class="tag">Inh. fm. Parent</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="account.task.html">account (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="adopt.task.html">adopt (task)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="allocate.html">allocate</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="booking.task.html">booking (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="charge.html">charge</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="chargeset.html">chargeset</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="complete.html">complete</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="depends.html">depends</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="duration.html">duration</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="effort.html">effort</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="end.html">end</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="endcredit.html">endcredit</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="fail.html">fail</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="flags.task.html">flags (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="journalentry.html">journalentry</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="length.html">length</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="limits.task.html">limits (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="maxend.html">maxend</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="maxstart.html">maxstart</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="milestone.html">milestone</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="minend.html">minend</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="minstart.html">minstart</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="note.task.html">note (task)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="period.task.html">period (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="precedes.html">precedes</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="priority.html">priority</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="projectid.task.html">projectid (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="purge.html">purge</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="responsible.html">responsible</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="scheduled.html">scheduled</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="scheduling.html">scheduling</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="shift.task.html">shift (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="shifts.task.html">shifts (task)</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr">x</td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="start.html">start</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="startcredit.html">startcredit</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="supplement.task.html">supplement (task)</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="task.html">task</a></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
     <tr align="left">
      <td align="left" class="descr"><a href="warn.html">warn</a></td>
      <td align="center" class="descr">x</td>
      <td align="center" class="descr"></td>
      <td align="center" class="descr"></td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">task top "Top Task" {
  task sub "Sub Task"
  supplement task sub {
    length 1d
  }
}
supplement task top {
  flags important
  supplement task sub {
    allocate joe
  }
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="supplement.resource.html">supplement (resource)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="tagfile.html">tagfile</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
